Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PlaceholderDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.PlaceholderDefinitionId

All Implemented Interfaces:
  Serializable

public class PlaceholderDefinitionId
extends Id

Represents the primary keys of `Placeholder` definition objects in the database, and is used to uniquely identify them. `PlaceholderDefinitionId` will be needed when adding or removing placeables (`Book` or `Portlet`) from placeholders on a desktop.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PlaceholderDefinitionId(int id)`

Method Summary
`protected Object` | `clone()`
`static PlaceholderDefinitionId` | `clone(PlaceholderDefinitionId placeholderDefinitionId)`
`static PlaceholderDefinitionId` | `createPlaceholderDefinitionId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, equals, getId, getUniqueLabel, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlaceholderDefinitionId

    public PlaceholderDefinitionId(int id)

Method Detail

### clone

    protected Object clone()

  Returns:
    a new `PlaceholderDefinitionId` with the exact same id value as this `PlaceholderDefinitionId`

### clone

    public static PlaceholderDefinitionId clone(PlaceholderDefinitionId placeholderDefinitionId)

  Parameters:
    `placeholderDefinitionId` - the `PlaceholderDefinitionId` to be cloned.
  Returns:
    a new `PlaceholderDefinitionId` with the exact same id value as the `PlaceholderDefinitionId` passed in.

### createPlaceholderDefinitionId

    public static PlaceholderDefinitionId createPlaceholderDefinitionId(int id)

  Parameters:
    `id` - the integer value that this `PlaceholderDefinitionId` should be set to.
  Returns:
    a new `PlaceholderDefinitionId` with the id value set to the integer passed in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved